Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitializer Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ORBInitializer:

[legend]
Collaboration diagram for PortableInterceptor::ORBInitializer:

[legend]
List of all members.

## Public Types
typedef ORBInitializer_ptr | _ptr_type
typedef ORBInitializer_var | _var_type
## Public Methods
virtual void | pre_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | post_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
ORBInitializer_ptr | _duplicate (ORBInitializer_ptr obj)
ORBInitializer_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
ORBInitializer_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ORBInitializer_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| ORBInitializer (void)
virtual | ~ORBInitializer (void)
## Private Methods
| ORBInitializer (const ORBInitializer &)
void | operator= (const ORBInitializer &)

## Member Typedef Documentation

typedef ORBInitializer_ptr PortableInterceptor::ORBInitializer::_ptr_type

| Reimplemented from CORBA::Object.

typedef ORBInitializer_var PortableInterceptor::ORBInitializer::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

PortableInterceptor::ORBInitializer::ORBInitializer | ( | void |  | ) | `[protected]`

PortableInterceptor::ORBInitializer::~ORBInitializer | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ORBInitializer::ORBInitializer | ( | const ORBInitializer & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ORBInitializer_ptr PortableInterceptor::ORBInitializer::_duplicate | ( | ORBInitializer_ptr | obj | ) | `[static]`

const char * PortableInterceptor::ORBInitializer::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableInterceptor::ORBInitializer::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

ORBInitializer_ptr PortableInterceptor::ORBInitializer::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object.

ORBInitializer_ptr PortableInterceptor::ORBInitializer::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object.

void PortableInterceptor::ORBInitializer::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Object.

ORBInitializer_ptr PortableInterceptor::ORBInitializer::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

CORBA::Boolean PortableInterceptor::ORBInitializer::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object.

void PortableInterceptor::ORBInitializer::operator= | ( | const ORBInitializer & |  | ) | `[private]`

virtual void PortableInterceptor::ORBInitializer::post_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_CodecFactory_ORBInitializer, and TAO_PICurrent_ORBInitializer.

virtual void PortableInterceptor::ORBInitializer::pre_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_CodecFactory_ORBInitializer, and TAO_PICurrent_ORBInitializer.

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp